Subject: Re: bug#28959: 25.3; Tramp not honoring `tramp-backup-directory-alist'

From: Michael Albinus <[email-masked]>
Date: Thu, 26 Oct 2017 16:28:53 +0200

"Matz, Daniel A. (JSC-EG511)" <[email-masked]> writes:

> Hello, 

Hi Daniel,

> Tramp seems to have recently stopped honoring
> `tramp-backup-directory-alist’.  I have it configured to put all
> backup files in a single directory:
>
>     (setq tramp-backup-directory-alist '(("." .
> "/Users/dmatz/.emacs.d/var/backup/“)))
>
> But I’ve started noticing backup files being created on the remote
> systems, in the same directory as the file I am visiting.
>
> I just tested this with emacs -Q as well, and got the same behavior.

I've committed a fix to the emacs-26 branch of Emacs' git repository. Do
you have a chance to check this?

> Thanks!
> Daniel

Best regards, Michael.